Quassel IRC - Bug #776

quasselcore does not automatically cycle irc servers in case one fails
08/26/2009 10:10 PM - DevUrandom

Status: Resolved Start date: 08/26/2009
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.5-pre 0S: Any
Description

When an irc server cannot be connected to, quasselcore will not automatically cycle to the next server in the list.
| have to manually press the "connect" button again to make it cycle, for each failed server.

[press connect]

Connecting to ipv6.chat.eu.freenode.net:6667...
Connection failure: Network unreachable
[press connect]

Connection failed. Cycling to next Server
Connecting to ipv6.chat.freenode.net:6667...
Connection failure: Network unreachable
[press connect]

Connection failed. Cycling to next Server
Connecting to chat.eu.freenode.net:6667...

[.]

Version is 0.5 _rc1.

Associated revisions

Revision 06c3e042c191aa65864af14efe7938bf01d609fc - 09/29/2009 07:26 AM - Daniel Albers

fix core ceasing to reconnect

Fixes #776

Revision 06c3e042 - 09/29/2009 07:26 AM - Daniel Albers

fix core ceasing to reconnect

Fixes #776

History

#1 - 09/29/2009 10:46 AM - dalbers
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset 06c3e042c191aa65864af14efe7938bf01d609fc.
